<template>
    <div id="app">
        <component :is="layout">
            <router-view></router-view>
        </component>
    </div>
</template>

<script>
import EmptyLayout from '@/layouts/EmptyLayout.vue';
import MainLayout from '@/layouts/MainLayout.vue';

export default {
    components: {
        EmptyLayout,
        MainLayout,
    },
  computed: {
    layout () {
      return (this.$route.meta.layout || MainLayout)
    }
  },
}
</script>

<style lang="scss">
  @import 'assets/style/index.css';
</style>
